=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
-Uploaders: Neil Williams <codehelp@debian.org>, Steve McIntyre <93sam@debian.org>
+Uploaders: Antonio Terceiro <antonio.terceiro@linaro.org>, Remi Duraffort <remi.duraffort@linaro.org>
 Build-Depends:
  debhelper (>= 9.20160709), dh-python, po-debconf,
  python3, python3-sphinx (>= 1.4), python3-setuptools (>= 3),
  python3-yaml, python3-sphinx-bootstrap-theme,
- node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
- libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
- libjs-jquery-typeahead, libjs-jquery-ui
+ node-uglify, libjs-excanvas, libjs-jquery,
+ libjs-jquery-flot (>= 0.8.2), libjs-jquery-typeahead
 X-Python3-Version: >=3.5
 Standards-Version: 4.2.1
 Homepage: https://www.lavasoftware.org/
@@ -17,15 +16,14 @@
 Vcs-Browser: https://git.lavasoftware.org/lava/pkg-lava-debian
 
 Package: lava-dispatcher
-Architecture: amd64 arm64 armhf i386 ppc64el s390x ppc64
+Architecture: all
 Depends: file, systemd-sysv, python3-setuptools,
- lava-common (>= ${source:Version}), tar (>= 1.27),
+ lava-common (= ${binary:Version}), tar (>= 1.27),
  ${python3:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Recommends: ntp, git, tftpd-hpa, openbsd-inetd, ser2net,
- telnet, qemu-system-x86 (>= 2.8.0) [amd64 i386],
- qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
- libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
+ telnet, qemu-system-x86 (>= 2.8.0), qemu-system-arm (>= 2.8.0),
+ libguestfs-tools (>= 1.32.7), nfs-kernel-server, rpcbind,
  u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7), lxc-templates, sudo,
  debootstrap (>= 1.0.86), bridge-utils, rsync, dfu-util
 Suggests: apache2, bzr, img2simg, simg2img, docker.io
@@ -46,15 +44,14 @@
 Package: lava-server
 Architecture: all
 Pre-Depends: debconf | debconf-2.0
-Depends: apache2, adduser, gunicorn3, iproute2, python3-setuptools,
- libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
- libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
- libjs-jquery-typeahead, systemd-sysv,
- postgresql, postgresql-client, postgresql-common,
- lava-common (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
+Depends: apache2, adduser, gunicorn (>= 19.9.0-4) | gunicorn3, iproute2, python3-setuptools,
+ libjs-excanvas, libjs-jquery, libjs-jquery-flot (>=0.8.2),
+ libjs-jquery-typeahead, systemd-sysv, postgresql,
+ postgresql-client, postgresql-common,
+ lava-common (= ${binary:Version}), ${python3:Depends}, ${misc:Depends}
 Recommends: ntp, openssh-client,
  lava-coordinator, lava-server-doc, lava-dispatcher,
-Suggests: lavacli, python3-django-hijack, python3-django-debug-toolbar
+Suggests: lavacli, python3-django-debug-toolbar
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -91,12 +88,12 @@
 Package: lava
 Architecture: all
 Section: metapackages
-Depends: lava-server (>= ${source:Version}), lava-server-doc,
- lava-dispatcher (>= ${source:Version}), lava-coordinator, lava-dev,
- lavacli, lavapdu-client, ntp | ntpdate, tftpd-hpa, sudo,
+Depends: lava-server (= ${binary:Version}), lava-server-doc,
+ lava-dispatcher (= ${binary:Version}), lava-coordinator, lava-dev,
+ lavacli, ntp | ntpdate | chrony, tftpd-hpa, sudo,
  telnet, debootstrap (>= 1.0.86~),
  openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
-Recommends: lavapdu-daemon, schroot, img2simg, simg2img, docker.io,
+Recommends: schroot, img2simg, simg2img, docker.io,
  python3-docker
 Description: Linaro Automated Validation Architecture metapackage
  LAVA is a continuous integration system for deploying operating
@@ -135,10 +132,10 @@
 Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
  debootstrap (>= 1.0.86), debhelper (>= 9.20160709), dh-python,
  fakeroot, git, libdistro-info-perl, node-uglify, libjs-excanvas,
- libjs-jquery-cookie, libjs-jquery, libjs-jquery-watermark,
- libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui, python3:any,
- python3-setuptools, python3-dateutil, python3-guestfs, python3-nose,
- python3-netifaces, python3-pexpect (>= 4.2), pep8 | python3-pep8,
+ libjs-jquery, libjs-jquery-flot (>= 0.8.2), libjs-jquery-typeahead,
+ python3:any, python3-setuptools, python3-guestfs,
+ python3-netifaces,
+ python3-pexpect (>= 4.2), pep8 | python3-pep8,
  python3-guestfs, python3-netifaces, python3-magic,
  python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme, python3-requests,
  python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8), python3-tz,
