=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
  python3-testscenarios, pep8, git, telnet, qemu-system-x86,
  dh-python, python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml,
  nfs-kernel-server, u-boot-tools, iproute2, tftpd-hpa, python3-pytest,
+ python3-pytest-django,
  schroot, lxc, lava-server, python3-django-testscenarios, python3-tz,
  tftpd-hpa, git, qemu-system-x86, nfs-kernel-server, u-boot-tools
 Restrictions: allow-stderr, needs-root
