## lava 2020.05

=== debian/changelog ===
lava (2020.05-1) unstable; urgency=medium

  * LAVA Software 2020.05 release

  [ Antonio Terceiro ]
  * tests: remove references to external files
  * debian: add missing (build-)dependency on libjs-bootstrap
  * debian: adjust to build from the upstream repository
  * debian/tests/lava-dispatcher-host: skip without udev
  * debian/tests: separate management tests from testsuite
  * debian/tests/lava-coordinator: require at least a container
  * debian/control: improve readability of dependency fields
  * debian/control: make lava-dev dependend on libjs-bootstrap as well
  * lava-dispatcher-host: add missing dependency on python3
  * debian/tests/control: add missing test dependency

 -- Remi Duraffort <remi.duraffort@linaro.org>  Thu, 14 May 2020 16:35:36 +0200

lava (2020.04-1) unstable; urgency=medium

  * LAVA Software 2020.04 release
    02694d5d9 legacy schema: relax the constraint on the "command" action
    ff9c3088d submit: validate with both the legacy and new schema
    d867f9f7a FlashUBootUMSAction: allow to use bmaptool
    dae31ca8c Adding new FVP boot method for docker
    1e1301e28 Add unit tests for FVP
    b87efb07d Adding docs for FVP
    00e0b184d FVP Unit test tweaks
    737ec0601 Cleaning up unused imports
    9b85acdec FVP version string and rootfs changes
    0604ee013 Separate fvp device-type for fvp actions
    b362800af Add support for directory substition in fvp boot
    6fb7bce31 Added root_partition to the fvp deploy schema
    41f8df515 Allow root_partition to be 0
    1272615f0 Add in character delay for FVP
    a297544cb FVP Cleanup
    b1bf25873 Moving FVP tests to new location
    acb3ddda0 Ignore FVP SAST Errors
    cdcf88e43 Fix FVP DownloaderAction usage
    82cdd4fcc FVP move internal-pipeline to pipeline
    18541fcd5 Add further unit tests for FVPs overlay usage
    681ea3e72 Revert mkdtemp change for nfs
    168b4b4ba Allow overlay into downloaded ramdisk
    b7d588ddd Apply black formatting after rebase
    43b3f3805 dispatcher: test/docker: expose connection commands to container
    4a389bae0 u-boot-ums: download the layout if present
    107f06f5e Add device template for NXP ls1043ardb
    4a12b696f Rework FVP to work with !1004 overlay format
    6b77e8f90 pylint.sh: also check tests/ directory
    c12ba5845 tests: fix pylink warnings
    e1acc8f65 Fix release script
    d0c6e61c6 Apply black from Sid
    1a4ce798d u-boot-uls: use bmaptool instead of dd
    1749f041c FlashUBootUMSAction: fix bmaptool arguments
    193fab1dd FVP Remove unused imports
    1475a99c2 Use absolute path in untar_file in update_cpio
    d4f03d681 lxc: fix typo in !963
    3b38f2e92 lava_rest_app: support DRF extensions >= 0.6
    71f088341 coverage: bump threshold to 58%
    a8b7a9867 sentry: register the current version
    290148de3 device-types: add imx8mm-ddr4-evk
    2506f7ebf device-types: add imx8mm-evk
    2bf1fbab5 device-types: align imx8mn-ddr4-evk template with other imx8m boards
    9399fdc42 MR comments on FVP changes
    e9de2aeb4 base-uboot: remove unused mkimage_arch in boot action
    8648e39a6 Add device template for NXP lx2160ardb
    98524ef5c docker: fix extra argument handling
    cccecdb99 Further FVP tweaks
    6749ce963 Do not raise a PermissionDenied when the job is already finished.
    232759214 Install missing bmap-tools
    cf26e2618 docker: decrease image size
    d136bb02d FVP Tidyup
    41d9b2a4b FVP Docs and boot tidyup
    41395535b CI: fix error found by pylint
    9b72b9bc9 fvp: update example for FVP 11.9
    0339e7699 boot/fastboot: skip pre-os-command for docker jobs as well
    83a8652e1 qemu-nfs and iso-installer: only add actions if needed
    8f3b95b55 adding support for NXP's imx7d-sdb and imx6q-sabresd boards
    f17fc699a Allow to run nfs jobs without /usr/sbin/exportfs
    d92d84280 Create an abstraction layer for dispatcher config files
    0b6832f2a CI: remove test that can't work when ran as root
    8e6a68b53 docker dispatcher: install ser2net by default
    25c9e281d Fix lxc-info wrong usage.
    3305042e6 Allow device enter into fastbootd when fastboot images.
    4ad892ee9 schema: check test names
    2c07934cd Add authorization mechanism to Worker model
    455f2d206 qemu: fix command line dupliction when retrying
    675108851 lava_dispatcher.utils.docker: encapsulate docker command lines
    d6efabed5 dispatcher: utils/fastboot: port docker calls to utils/docker
    50d2fd37a fixup! lava_dispatcher.utils.docker: encapsulate docker command lines
    85ee2913f CI: fix lava_scheduler_app junit unit tests on debian sid
    3ad390bc3 Fix soft-reboot support
    c099c7be9 rest: filters: add filtering for TestJob description field
    2412e9659 Add a new documentation using mkdocs
    bc804bf04 docs: improve developper documentation
    5c39c88ca docs: fix mkdoc configuration
    ede9b2e93 doc: move contributing to tutorials
    82786fa2c doc: move mkdocs.yml to doc/
    06e48e767 doc: fix readthedoc build
    05af31736 dispatcher: ensure that Job.tmp_dir is never None
    1dd8f1bcf dispatcher: utils: docker: fix readonly flag
    714c07c4c deploy: test_download: split populate tests by scheme
    61e771c67 qemu: do not finialise connection coming from other namespaces
    bcd18bc8e doc: update REST API docs to version 0.2
    aa9aea390 dispatcher: deploy: add supporting for postprocessing images with docker
    a9a392aa8 Boot QEMU from a user-defined docker image
    ac8e4e602 Add new field dispatcher version to Worker model.
    32695c3ae dispatcher: allow to download/decompress zstd images
    10050123e device type file for NXP's s32v234sbc
    9ce39ede2 qemu/docker: do not add /dev/kvm if it's missing
    589ba328a dispatcher: fix Job.mkdtemp with overriden base dir
    0951bfe2f Fix lxc-mocker/lxc-info.
    578b99831 Move encryption settings to django settings instead of the cmd args.
    67df57729 Fix crashes introduced by 578b99831d

